## craftywatcher 1.4-2

=== Makefile ===
EXEC = craftywatcher

CXXFLAGS = -O3 -Wall -MMD $(shell gtkmm-config --cflags)
LDFLAGS	= $(shell gtkmm-config --libs)

SRCS = AboutWindow.cc \
       CWGlob.cc \
       CWText.cc \
       CWWindow.cc \
       main.cc

OBJS = $(SRCS:.cc=.o)

all: $(EXEC)
	@echo Done.

$(EXEC): $(OBJS)
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS)

clean:
	-rm -f $(OBJS) $(DEPS)

clobber: clean
	-rm -f $(EXEC)

DEPS = $(SRCS:.cc=.d)
sinclude $(DEPS)

=== debian/changelog ===
craftywatcher (1.4-2) unstable; urgency=low

  * Compiled against recent libraries in preparation for Potato
    release.  #53483.

 -- Paul Serice <ugs@debian.org>  Tue, 11 Jan 2000 20:20:25 -0600

craftywatcher (1.4-1) unstable; urgency=low

  * New upstream source.

 -- Paul Serice <ugs@debian.org>  Wed, 29 Dec 1999 01:44:21 -0600

craftywatcher (1.3-1) unstable; urgency=low

  * New upstream source.

 -- Paul Serice <ugs@debian.org>  Sat, 18 Sep 1999 15:13:49 -0500

craftywatcher (1.2-1) unstable; urgency=low

  * New upstream source.

 -- Paul Serice <ugs@debian.org>  Sat, 18 Sep 1999 03:34:24 -0500

craftywatcher (1.1-1) unstable; urgency=low

  * Ported to Gtk--.

 -- Paul Serice <ugs@debian.org>  Tue,  7 Sep 1999 02:07:28 -0500

craftywatcher (1.0-1) unstable; urgency=low

  * Initial release using Motif.

 -- Paul Serice <ugs@debian.org>  Mon, 16 Nov 1998 00:10:43 -0600

Local variables:
mode: debian-changelog
add-log-mailing-address: "ugs@debian.org"
End:

=== debian/control ===
Source: craftywatcher
Section: contrib/games
Priority: optional
Maintainer: Paul Serice <ugs@debian.org>
Standards-Version: 2.4.1

Package: craftywatcher
Architecture: any
Depends: crafty, ${shlibs:Depends}
Description: Crafty Log Viewer
 Crafty Watcher is a specialized log file viewer for Crafty that lets you
 watch Crafty think.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=craftywatcher

build:
	$(checkdir)

	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clobber
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	install -s craftywatcher debian/tmp/usr/games
	cp debian/craftywatcher.1.ex debian/tmp/usr/man/man6/craftywatcher.1
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
